> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/cards-card-not-present/vault.md).

# Vault

The **Vault API** allows you to securely create and manage payment tokens that represent card details.

Use tokens in place of sensitive card information to process transactions, enabling secure and repeat payments without storing raw card data.

Use the generated token with the Transactions API to process payments.

{% hint style="info" %}
Useful link:

* [Code samples in various languages](https://github.com/clearent/API-Examples)
  {% endhint %}

### Card tokenization

Xplor Pay tokenizes and secures your customers’ sensitive card data using a randomly generated code and stores the token in a secure vault. This token supports:

* [future purchases](https://docs.xplorpay.com/api-reference/api/payments/mobile/mobile-payment-transactions/mobile-transactions) (*create-multi-use-or-durable-card-tokens-token-id-or-id* when starting a sale or authorizing transaction in mobile app)
* [card-on-file payments](https://docs.xplorpay.com/api-reference/api/payments/mobile/mobile-payment-transactions/mobile-transactions#post-rest-v2-mobile-transactions-sale) (*use-multi-use-or-durable-card-tokens* when starting a sale or authorizing transaction)
* [recurring transactions](https://docs.xplorpay.com/api-reference/api/payments/recurring-payments-service)

Integrating with Xplor Pay tokenization removes [Payment Card Industry (PCI) DSS](https://docs.xplorpay.com/security-solutions/pci-compliance#what-is-pci-dss) scope from your software and reduces [Payment Card Industry (PCI) Compliances](https://docs.xplorpay.com/security-solutions/pci-compliance) scope for merchants.

### Types of tokens <a href="#types-of-tokens" id="types-of-tokens"></a>

Xplor Pay offers the following types of card tokens:

{% stepper %}
{% step %}

#### Single-use card token - Mobile JSON Web token

Use a single-use token (`mobilejwt`) for one-time transactions. The token becomes invalid after the transaction is processed and can't be used for recurring transactions, refunds, or returns.

For details about using single-use card tokens (`mobilejwt`), see the [JavaScript SDK](https://docs.xplorpay.com/guides/payment-processing-solutions/javascript) documentation.
{% endstep %}

{% step %}

#### Multi-use or durable card token (token-id or id)

Use a multi-use token (`token-id` or `id`) for multiple online or in-person transactions. This token supports card-on-file payments and membership renewals. Durable tokens enable repeated transactions, speed up the checkout process, and reduce cart abandonment.
{% endstep %}

{% step %}

#### Reversible or irreversible card token

Use a reversible token to retrieve customer information, such as the primary account number (PAN). You may need to submit the PAN to a third-party payment handler for fraud recovery. An irreversible token helps you avoid potential liability associated with storing customer information.
{% endstep %}
{% endstepper %}

Refer below topics for more information:

* [Mobile Payment Transactions](https://docs.xplorpay.com/api-reference/api/payments/mobile/mobile-payment-transactions)
* [Transaction EMV](https://docs.xplorpay.com/api-reference/api/payments/terminal-card-present/transaction-emv)
* [Vault](https://docs.xplorpay.com/api-reference/api/payments/cards-card-not-present/vault)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xplorpay.com/api-reference/api/payments/cards-card-not-present/vault.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
